DevExtreme jQuery/JS - Handle the Value Change Event
To process a new CheckBox value, you need to handle the value change event. If the handling function is not going to be changed during the lifetime of the widget, assign it to the onValueChanged option when you configure the widget.
- $(function() {
- $("#checkBoxContainer").dxCheckBox({
- onValueChanged: function (e) {
- var previousValue = e.previousValue;
- var newValue = e.value;
- // Event handling commands go here
- }
- });
- });
If you are going to change event handlers at runtime, or if you need to attach several handlers to the value change event, subscribe to this event using the on(eventName, eventHandler) method. This approach is more typical of jQuery.
- var valueChangedHandler1 = function (e) {
- var previousValue = e.previousValue;
- var newValue = e.value;
- // First handler of the "valueChanged" event
- };
- var valueChangedHandler2 = function (e) {
- var previousValue = e.previousValue;
- var newValue = e.value;
- // Second handler of the "valueChanged" event
- };
- $("#checkBoxContainer").dxCheckBox("instance")
- .on('valueChanged', valueChangedHandler1)
- .on('valueChanged', valueChangedHandler2);
See Also
- Handle Events: jQuery | Angular | AngularJS | Knockout | ASP.NET MVC
- CheckBox Demos
- CheckBox API Reference
If you have technical questions, please create a support ticket in the DevExpress Support Center.

DevExtreme React - Handle the Value Change Event
To process a new CheckBox value, you need to handle the value change event. If the handling function is not going to be changed during the lifetime of the widget, assign it to the onValueChanged option when you configure the widget.
jQuery
JavaScript
$(function() {
$("#checkBoxContainer").dxCheckBox({
onValueChanged: function (e) {
const previousValue = e.previousValue;
const newValue = e.value;
// Event handling commands go here
}
});
});Angular
HTML
TypeScript
<dx-check-box
[(value)]="checkBox_value"
(onValueChanged)="handleValueChange($event)">
</dx-check-box>
import { DxCheckBoxModule } from "devextreme-angular";
// ...
export class AppComponent {
checkBox_value = undefined;
handleValueChange (e) {
const previousValue = e.previousValue;
const newValue = e.value;
// Event handling commands go here
}
}
@NgModule({
imports: [
// ...
DxCheckBoxModule
],
// ...
})Vue
App.vue
<template>
<DxCheckBox
:value.sync="checkBox_value"
@value-changed="handleValueChange"
/>
</template>
<script>
import 'devextreme/dist/css/dx.common.css';
import 'devextreme/dist/css/dx.light.css';
import DxCheckBox from 'devextreme-vue/check-box';
export default {
components: {
DxCheckBox
},
data() {
return {
checkBox_value: undefined
};
},
methods: {
handleValueChange(e) {
const previousValue = e.previousValue;
const newValue = e.value;
// Event handling commands go here
}
}
}
</script>React
App.js
import React from 'react';
import 'devextreme/dist/css/dx.common.css';
import 'devextreme/dist/css/dx.light.css';
import CheckBox from 'devextreme-react/check-box';
class App extends React.Component {
constructor(props) {
super(props);
this.state = {
checkBox_value: undefined
};
this.handleValueChange = this.handleValueChange.bind(this);
}
handleValueChange(e) {
const previousValue = e.previousValue;
const newValue = e.value;
// Event handling commands go here
this.setState({
checkBox_value: newValue
});
}
render() {
return (
<CheckBox
value={this.state.checkBox_value}
onValueChanged={this.handleValueChange}
/>
);
}
}
export default App;If you are going to change event handlers at runtime, or if you need to attach several handlers to the value change event, subscribe to this event using the on(eventName, eventHandler) method. This approach is more typical of jQuery.
JavaScript
var valueChangedHandler1 = function (e) {
var previousValue = e.previousValue;
var newValue = e.value;
// First handler of the "valueChanged" event
};
var valueChangedHandler2 = function (e) {
var previousValue = e.previousValue;
var newValue = e.value;
// Second handler of the "valueChanged" event
};
$("#checkBoxContainer").dxCheckBox("instance")
.on("valueChanged", valueChangedHandler1)
.on("valueChanged", valueChangedHandler2);See Also
- Handle Events: Angular | Vue | React | jQuery | AngularJS | Knockout | ASP.NET MVC 5 | ASP.NET Core
- CheckBox Demos
- CheckBox API Reference
Feel free to share topic-related thoughts here.
If you have technical questions, please create a support ticket in the DevExpress Support Center.
Thank you for the feedback!
If you have technical questions, please create a support ticket in the DevExpress Support Center.